/*
 * config.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */


#include <vdr/config.h>

#include <vdr/menuitems.h>

class cDVDSelectSetup {
 public:
  char NameDevice[MaxFileName];
  char NameOrgDevice[MaxFileName];
  char ImageDir[MaxFileName];
  char IsoExt[MaxFileName];
  char DVDReadScript[MaxFileName];
  char DVDWriteScript[MaxFileName];
  char DVDOutputDir[MaxFileName];
  
 public:
  cDVDSelectSetup(void);
  bool SetupParse(const char *Name, const char *Value);

};

class cMenuSetupDVDSelect : public cMenuSetupPage {
 private:
    cDVDSelectSetup data;
 protected:
    virtual void Store(void);
 public:
    cMenuSetupDVDSelect(void);
};

extern cDVDSelectSetup DVDSelectSetup;
